Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote.ejb
Class EJBApplicationModuleImpl

`java.lang.Object
oracle.jbo.client.remote.AbstractAppModuleRequestHandler
oracle.jbo.client.remote.ejb.EJBApplicationModuleImpl`

All Implemented Interfaces:
  AppModuleRequestHandler

public class EJBApplicationModuleImpl
extends AbstractAppModuleRequestHandler

Constructor Summary
`protected` | `EJBApplicationModuleImpl(ApplicationModuleImpl applicationModule, ResponseValues amInfo)`

Method Summary
`protected ApplicationModuleImpl` | `createProxyApplicationModule(ResponseValues handle)`
`ServiceMessage` | `doMessage(ServiceMessage piggyback)`
`protected ResponseValues` | `getAMFullRef(ResponseValues handle)`
`protected ApplicationModuleDelegate` | `getDelegate()`
`protected byte[]` | `getPiggyback()`
`protected EJBApplicationModuleImpl` | `getRootEJBApplicationModuleImpl()`
`protected ServiceMessage` | `getServiceMessage()`
`void` | `init()`
`void` | `init(java.util.Hashtable env)`
`boolean` | `isLocal()`
`boolean` | `isMarshalledLocally()`
`void` | `riRemove()`
`protected void` | `setDelegate(ApplicationModuleDelegate delegate)`

Methods inherited from class oracle.jbo.client.remote.AbstractAppModuleRequestHandler
`createApplicationModule, findApplicationModule, getApplicationModule, getObjectMarshaller, getRootApplicationModule, isRemoved, processJboException, processPiggyback, processServiceMessage, readMethodResponse, riGetApplicationModuleInfo, riGetClientProxyClassName, riInvokeExportedMethod, searchProxyByFullName, searchProxyByName, sendRequestReceiveResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBApplicationModuleImpl

    protected EJBApplicationModuleImpl(ApplicationModuleImpl applicationModule,
                                       ResponseValues amInfo)

Method Detail

### init

    public void init(java.util.Hashtable env)

  Overrides:
    `init` in class `AbstractAppModuleRequestHandler`

### init

    public void init()

  Overrides:
    `init` in class `AbstractAppModuleRequestHandler`

### getServiceMessage

    protected ServiceMessage getServiceMessage()

  Overrides:
    `getServiceMessage` in class `AbstractAppModuleRequestHandler`

### getPiggyback

    protected byte[] getPiggyback()

  Overrides:
    `getPiggyback` in class `AbstractAppModuleRequestHandler`

### setDelegate

    protected void setDelegate(ApplicationModuleDelegate delegate)

### getDelegate

    protected ApplicationModuleDelegate getDelegate()

### getRootEJBApplicationModuleImpl

    protected EJBApplicationModuleImpl getRootEJBApplicationModuleImpl()

### getAMFullRef

    protected ResponseValues getAMFullRef(ResponseValues handle)

  Specified by:
    `getAMFullRef` in class `AbstractAppModuleRequestHandler`

### createProxyApplicationModule

    protected ApplicationModuleImpl createProxyApplicationModule(ResponseValues handle)

  Specified by:
    `createProxyApplicationModule` in class `AbstractAppModuleRequestHandler`

### isMarshalledLocally

    public final boolean isMarshalledLocally()

  Specified by:
    `isMarshalledLocally` in class `AbstractAppModuleRequestHandler`

### isLocal

    public boolean isLocal()

### doMessage

    public ServiceMessage doMessage(ServiceMessage piggyback)

### riRemove

    public void riRemove()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.